[fonosfera] plugins with sizeable dependencies

Steven Leeman steven at leeman.be
Wed Mar 18 15:34:45 UTC 2009


Hi,

what if one creates a plugin that uses big dependencies
in one IRC chat a few months ago it was advised to statically include
them in the tarball (iurgi); and not use opkg; opkg was "evil" :-)

The plugin-repository seems to reside on mtdblock4 which is +- 2mbyte big...
there is 16mbyte (of 32Mbyte) reserved as "ram" (/tmp)

uploading a 1mbyte plugin when there is 1,3mbyte free is not
allowed...it will fail

Example Neorouter plugin:

   The full plugin is 1059KB, including all packages.

   NeoRouter + luci = 473KB (tgz)

   luci for NeoRouter = 6KB (tgz)

   ipk packages:
   libopenssl  478KB  <--- I believe also the youtube plugin is using
this to authenticate to the youtube website???
   libuuid           8KB
   uclibcxx       60KB
   zlib              36KB
   neorouter    473KB


---------- Forwarded message ----------
From: Inouk Bourgon <inouk.bourgon at fon.com>
Date: Wed, Mar 18, 2009 at 4:24 PM
Subject: Re: fon2 plugin
To: Steven Leeman <steven at leeman.be>


1MB that's a lot!
Maybe you can advise them to contact us on on the developer mailing
list, so they can explain what when wrong when trying to do the
plugin.

++ inouk



More information about the Development mailing list